<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Region extends Model
{
    use HasFactory;
    protected $fillable = ['libellear', 'libellefr', 'pole_id'];

    public function pole(): BelongsTo
    {
        return $this->belongsTo(Pole::class);
    }
    public function moughataas(): HasMany
    {
        return $this->hasMany(Moughataa::class);
    }
}
